'cd "C:\Users\teohhongken\Desktop\Summer2014\Research\DieboldResearch\EViews_Others\Eviews_Housing"

cd C:\Users\fdiebold\Dropbox\Econometrics\MasterDataAndCode_HOT\Code_EViews\EViews_Others\Eviews_Housing


'create workfile fcst5-11
wfcreate(wf="WorkFileHousing") m 1968m01 1996m06

read DataHousing.csv obs starts comps

smpl 1968m01 1996m06
group fig112 starts comps
freeze(Figure112) fig112.line(d)
Figure112.addtext(t) Figure 11.2 U.S. Housing Starts and Completions, 1968.01-1996.06
Figure112.addtext(l) Starts
Figure112.addtext(r) Completions
Figure112.scale(left) range(0.5,3.0)
Figure112.scale(right) range(0.5,2.5)
Figure112.datelabel format(yy)
Figure112.legend display
Figure112.setelem symbol(none)
Figure112.options -color
Figure112.axis(a) label
Figure112.setelem(1) linepattern(1)
Figure112.setelem(2) linepattern(2)

smpl 1968m01 1991m12
freeze(Table112) starts.correl(24)

freeze(Table113) comps.correl(24)

freeze(Figure115) fig112.cross(24) starts comps

equation Table114.ls starts c starts(-1) starts(-2) starts(-3) starts(-4) comps(-1) comps(-2) comps(-3) comps(-4)

freeze(Figure116) Table114.resid
Figure116.addtext(t) Figure 11.6 VAR Starts Equation Residual Plot
Figure116.scale(left) range(-0.6,0.6)
Figure116.scale(right) range(0.5,3.0)
Figure116.datelabel format(yy)
Figure116.legend display
Figure116.setelem symbol(none)
Figure116.options -color
Figure116.axis(a) label
Figure116.setelem(1) linepattern(1)
Figure116.setelem(2) linepattern(2)
Figure116.setelem(3) linepattern(3)

freeze(Table115) Table114.correl(24)

equation Table116.ls comps c starts(-1) starts(-2) starts(-3) starts(-4) comps(-1) comps(-2) comps(-3) comps(-4)

freeze(Figure118) Table116.resid
Figure118.addtext(t) Figure 11.8 VAR Completions Equation: Residual Plot
Figure118.scale(left) range(-0.2,0.4)
Figure118.scale(right) range(0.5,2.5)
Figure118.datelabel format(yy)
Figure118.legend display
Figure118.setelem symbol(none)
Figure118.options -color
Figure118.axis(a) label
Figure118.setelem(1) linepattern(1)
Figure118.setelem(2) linepattern(2)
Figure118.setelem(3) linepattern(3)

freeze(Table117) Table116.correl(24)

group tbl108 comps starts

freeze(Table118) tbl108.cause(4)

var fig1110.ls 1 4 starts comps
freeze(Figure1110) fig1110.impulse(36,m)
Figure1110.addtext(t) Figure 11.10 Housing Starts and Completions VAR Impulse-Response Functions
Figure1110.scale(left) range(-0.02,0.16)

freeze(Figure1111) fig1110.decomp(36,m)
Figure1111.addtext(t) Figure 11.11 Housing Starts and Completions VAR Variance Decompositions

smpl 1966m01 1991m12
genr shistory=starts
genr chistory=comps
fig1110.makemodel(varmod) @prefix s_
smpl 1992m01 1996m06
varmod.solveopt(s=d, d=d) 
solve varmod
smpl 1966m01 1996m06

varmod.makegraph(g=v) figure1112 starts
Figure1112.legend -display
Figure1112.addtext(t) " Figure 11.12 Starts \r History, 1968.01-1991.12 Forecast, 1992.01-1996.06 \r "
Figure1112.addtext(l) History and Forecast
Figure1112.addtext(b) Time
Figure1112.scale(left) range(0.5,3.0)
Figure1112.datelabel format(yy)
Figure1112.setelem symbol(none)
Figure1112.options -color
Figure1112.axis(a) label
Figure1112.setelem(1) linepattern(1)
Figure1112.setelem(2) linepattern(2)
Figure1112.draw(shade, bottom) 1992m01 1996m06
show Figure1112

varmod.makegraph(a, g=v) figure1113 starts
Figure1113.legend -display
Figure1113.addtext(t) " Figure 11.13 Starts \r History, 1968.01-1991.12 Forecast and Realization, 1992.01-1996.06 \r "
Figure1113.addtext(l) History, Forecast, and Realization
Figure1113.addtext(b) Time
Figure1113.scale(left) range(0.5,3.0)
Figure1113.datelabel format(yy)
Figure1113.setelem symbol(none)
Figure1113.options -color
Figure1113.axis(a) label
Figure1113.setelem(1) linepattern(1)
Figure1113.setelem(2) linepattern(2)
Figure1113.draw(shade, bottom) 1992m01 1996m06
show Figure1113

varmod.makegraph(g=v) figure1114 comps
Figure1114.legend -display
Figure1114.addtext(t) " Figure 11.14 Completions \r History, 1968.01-1991.12 Forecast, 1992.01-1996.06 \r "
Figure1114.addtext(l) History and Forecast
Figure1114.addtext(b) Time
Figure1114.scale(left) range(0.8,2.4)
Figure1114.datelabel format(yy)
Figure1114.setelem symbol(none)
Figure1114.options -color
Figure1114.axis(a) label
Figure1114.setelem(1) linepattern(1)
Figure1114.setelem(2) linepattern(2)
Figure1114.draw(shade, bottom) 1992m01 1996m06
show Figure1114

varmod.makegraph(a, g=v) figure1115 comps
Figure1115.legend -display
Figure1115.addtext(t) " Figure 11.15 Completions \r History, 1968.01-1991.12 Forecast and Realization, 1992.01-1996.06 \r "
Figure1115.addtext(l) History, Forecast, and Realization
Figure1115.addtext(b) Time
Figure1115.scale(left) range(0.8,2.4)
Figure1115.datelabel format(yy)
Figure1115.setelem symbol(none)
Figure1115.options -color
Figure1115.axis(a) label
Figure1115.setelem(1) linepattern(1)
Figure1115.setelem(2) linepattern(2)
Figure1115.draw(shade, bottom) 1992m01 1996m06
show Figure1115

show Figure112
show Table112
show Table113
show Figure115
show Table114
show Figure116
show Table115
show Table116
show Figure118
show Table117
show Table118
show Figure1110
show Figure1111


