'mcs44.prg MCS of IV
workfile mcs44.wf1 u 1 1000  
genr t=@trend(0)               'obs 1 .. 1000
genr tt=t-10*@floor((t-1)/10)  'obs 1..10,1..10,..
genr I=20+0.5*tt               'proxy for Investments
genr G=10+0.3*tt-0.02*tt^2     'proxy for Government spending
!beta1=50             'intercept Consumption equation
!beta2=0.8            'income coefficient in consumption equation
!sigma=3              'disturbance standard deviation
rndseed 9876543210
!R=10000                    
matrix (!R,7) simres      
for !rep=1 to !R      
   smpl @all     'all 1000 observations are used
   genr eps=!sigma*nrnd               'iid Normal disturbances (0, sigma^2)
   genr Y=(!beta1+G+I+eps)/(1-!beta2) 'Income Y according to reduced form
   genr CC=!beta1+!beta2*Y+eps      'Consumption CC according structural form
   equation eq1.ls CC C Y           'OLS Consumption function
   simres(!rep,1)=eq1.@coefs(2)  
   equation eq2.tsls CC C Y @ C I G  'TSLS Cons function, instruments: C I G
   simres(!rep,2)=eq2.@coefs(2)  
   simres(!rep,3)=(eq2.@coefs(2)-!beta2)/eq2.@stderrs(2)  
   smpl 1 20                       'just first 20 observations
   equation eq3.ls CC C Y          'OLS Consumption function
   simres(!rep,4)=eq3.@coefs(2)  
   equation eq4.tsls CC C Y @ C I G 
   equation eq5.ls Y C I G         'OLS reduced form
   eq5.makeresids res_eq5          'residuals eq5
   equation eq6.ls CC C Y res_eq5  'auxiliary regr. Durbin-Wu-Hausman test 
   simres(!rep,5)=eq4.@coefs(2)  
   simres(!rep,6)=(eq4.@coefs(2)-!beta2)/eq4.@stderrs(2)  
   simres(!rep,7)=eq6.@tstats(3)   'DWH test staitsic
next                                                  
simres.write mcs44sim.txt           
workfile mcs44sim.wf1 u 1 !R  
read mcs44sim.txt b2 b2iv tb2iv b2s b2ivs tb2ivs DWH 
genr rejectDWH= abs(DWH)>@qnorm(0.95) 
genr rejecttb2iv= tb2iv>@qnorm(0.95)             
genr rejecttb2ivs= tb2ivs>@qnorm(0.95)


